# ---------------------------------------------------------------------------
VERSION = BCB.01
# ---------------------------------------------------------------------------
!ifndef BCB
BCB = $(MAKEDIR)\..
!endif
# ---------------------------------------------------------------------------
PROJECT = QSPOP3.dll
OBJFILES = QSPOP3.obj PopAccDlg.obj PopPassDlg.obj PopProfDlg.obj \
   PopRetDlg.obj PrintDlg.obj HelpDlgs.obj QSpop3Ver.obj FileMan.obj Global.obj \
   Mixmaster.obj MixmastDlg.obj HeadMan.obj
RESFILES = QSPOP3.res
RESDEPEN = $(RESFILES) PopAccDlg.dfm PopPassDlg.dfm PopProfDlg.dfm \
   PopRetDlg.dfm PrintDlg.dfm HelpDlgs.dfm MixmastDlg.dfm
LIBFILES = 
DEFFILE =
# ---------------------------------------------------------------------------
CFLAG1 = -WD -Od -Hc -w -k -r- -y -v -vi- -c -a4 -b- -w-par -w-inl -Vx -Ve -x
CFLAG2 = -DNO_DB_ENCRYPT \
   -I.;$(BCB)\lib\ics\delphi\vc32;$(BCB)\include;$(BCB)\include\vcl;$(BCB)\lib\listbox \
   -H=$(BCB)\lib\vcld.csm 
PFLAGS = -AWinTypes=Windows;WinProcs=Windows;DbiTypes=BDE;DbiProcs=BDE;DbiErrs=BDE \
   -DNO_DB_ENCRYPT \
   -U.;$(BCB)\lib\ics\delphi\vc32;$(BCB)\lib\obj;$(BCB)\lib;$(BCB)\lib\listbox \
   -I.;$(BCB)\lib\ics\delphi\vc32;$(BCB)\include;$(BCB)\include\vcl;$(BCB)\lib\listbox \
   -v -$Y -$W -$O- -JPHNV -M
RFLAGS = -DNO_DB_ENCRYPT \
   -i.;$(BCB)\lib\ics\delphi\vc32;$(BCB)\include;$(BCB)\include\vcl;$(BCB)\lib\listbox 
LFLAGS = -L.;$(BCB)\lib\ics\delphi\vc32;$(BCB)\lib\obj;$(BCB)\lib;$(BCB)\lib\listbox \
   -aa -Tpd -x -v -V4.0
IFLAGS =
LINKER = ilink32
# ---------------------------------------------------------------------------
ALLOBJ = c0d32.obj $(OBJFILES)
ALLRES = $(RESFILES)
ALLLIB = $(LIBFILES) vcl.lib import32.lib cp32mt.lib
# ---------------------------------------------------------------------------
.autodepend

$(PROJECT): $(OBJFILES) $(RESDEPEN) $(DEFFILE)
    $(BCB)\BIN\$(LINKER) @&&!
    $(LFLAGS) +
    $(ALLOBJ), +
    $(PROJECT),, +
    $(ALLLIB), +
    $(DEFFILE), +
    $(ALLRES)
!

.pas.hpp:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.pas.obj:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.cpp.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $*

.c.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $**

.rc.res:
    $(BCB)\BIN\brcc32 $(RFLAGS) $<
#-----------------------------------------------------------------------------

